Bug 16418 - The default r/wsize for NFS mounts is not 1024.
Summary: The default r/wsize for NFS mounts is not 1024.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-17 05:36 UTC by Dave Johnson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 05:36:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Johnson 2000-08-17 05:36:52 UTC
The man page for mount lists the default rsize and wsize for NFS mounts to
be 1024 when it is 4096.  Looking at include/linux/nfs_fs.h from the
2.2.14-5.0 source, NFS_DEF_FILE_IO_BUFFER_SIZE is set to 4096.  From
fs/nfs/nfsroot.c, nfs_data.r/wsize gets set to this const.  Tcpdump
verifies this.  I have not yet checked pinstripe.

Comment 1 Bernhard Rosenkraenzer 2000-08-30 12:33:54 UTC
Fixed in 2.10o-1


Note You need to log in before you can comment on or make changes to this bug.